#ifndef __FINE_BOOZE_H__
#define __FINE_BOOZE_H__

#include "potion.h"
#include "constants.h"

class fine_booze final: public potion {
        static const int GAIN_HP = 2;
        inline static const fraction HR_MUL = {7, 10};
        inline static const fraction HR_TB = {INF, 1};
        static const int DURATION = 12;
public:
        fine_booze(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
